package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class SQLAlterTableGroupStatement extends SQLStatementImpl implements SQLAlterStatement {
   private SQLName name;
   private List<SQLAssignItem> options = new ArrayList();

   public SQLAlterTableGroupStatement() {
   }

   public SQLAlterTableGroupStatement(DbType dbType) {
      this.setDbType(dbType);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      if (name != null) {
         name.setParent(this);
      }

      this.name = name;
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.name);
      }

      visitor.endVisit(this);
   }

   public List<SQLAssignItem> getOptions() {
      return this.options;
   }
}
